Bug 1412605 - Review Request: python-tinyrpc - A modular RPC library
Summary: Review Request: python-tinyrpc - A modular RPC library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-OCATA 1415777
TreeView+ depends on / blocked
 
Reported: 2017-01-12 12:23 UTC by Alfredo Moralejo
Modified: 2017-02-10 16:38 UTC (History)
5 users (show)

Fixed In Version: python-tinyrpc-0.5-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1415777 (view as bug list)
Environment:
Last Closed: 2017-02-10 16:38:11 UTC
Type: Bug
jpena: fedora-review+


Attachments (Terms of Use)

Description Alfredo Moralejo 2017-01-12 12:23:19 UTC
Description: tinyrpc is a library for making and handling RPC calls in python. 

It's required by python-ryu >= 4.9 (see https://github.com/osrg/ryu/commit/f0fb62cbf9a429b28023cbd0602f6fb04db75241)

Spec URL: https://amoralej.fedorapeople.org/python-tinyrpc/python-tinyrpc.spec
SRPM URL: https://amoralej.fedorapeople.org/python-tinyrpc/python-tinyrpc-0.5-1.fc25.src.rpm


Fedora Account System Username: amoralej

Koji scratch build available at https://koji.fedoraproject.org/koji/taskinfo?taskID=17255607

Comment 1 Alfredo Moralejo 2017-01-12 12:26:41 UTC
Some issues i found creating the package:

- LICENSE file not present in the tagged release 0.5 but it's in master so i'm backporting the upstream commit as a patch.
- I had to backport two patches to make unit tests pass with current versions of dependencies with 0.5.
- python3 is disabled as version 0.5 is no compatible.

I've requested a new tagged release to package owner.

Comment 2 Alfredo Moralejo 2017-01-12 12:35:34 UTC
I've requested a new tagged release upstream in https://github.com/mbr/tinyrpc/issues/30

Comment 3 Alfredo Moralejo 2017-01-12 13:20:49 UTC
New release with some fixes for rpmlint errors:

Spec URL: https://amoralej.fedorapeople.org/python-tinyrpc/python-tinyrpc.spec
SRPM URL: https://amoralej.fedorapeople.org/python-tinyrpc/python-tinyrpc-0.5-2.fc25.src.rpm

Comment 4 Alan Pevec 2017-01-12 14:26:30 UTC
0.5-2 looks good

Comment 5 Javier Peña 2017-01-12 14:27:14 UTC
I have only found a minor issue. The description and summary texts for the python3-%{library}-tests mention python2-tinyrpc, please fix this during import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 37 files have unknown license. Detailed
     output of licensecheck in /tmp/1412605-python-tinyrpc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-tinyrpc , python2-tinyrpc-tests , python-tinyrpc-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-tinyrpc-0.5-2.fc26.noarch.rpm
          python2-tinyrpc-tests-0.5-2.fc26.noarch.rpm
          python-tinyrpc-doc-0.5-2.fc26.noarch.rpm
          python-tinyrpc-0.5-2.fc26.src.rpm
python2-tinyrpc.noarch: W: no-documentation
python2-tinyrpc-tests.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python2-tinyrpc-tests.noarch: W: no-documentation
python2-tinyrpc.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python-tinyrpc-doc (rpmlib, GLIBC filtered):

python2-tinyrpc-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-funcsigs
    python-gevent
    python-greenlet
    python-mock
    python-py
    python-pytest
    python-requests
    python-six
    python-werkzeug
    python-zmq
    python2-tinyrpc

python2-tinyrpc (rpmlib, GLIBC filtered):
    python(abi)
    python-funcsigs
    python-gevent
    python-greenlet
    python-requests
    python-six
    python-werkzeug
    python-zmq



Provides
--------
python-tinyrpc-doc:
    python-tinyrpc-doc

python2-tinyrpc-tests:
    python2-tinyrpc-tests

python2-tinyrpc:
    python-tinyrpc
    python2-tinyrpc
    python2.7dist(tinyrpc)
    python2dist(tinyrpc)



Source checksums
----------------
https://github.com/mbr/tinyrpc/archive/0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 07e70208955b711952601162c33a9a300a4420893e8741b9eec16c239e1ea2f8
  CHECKSUM(SHA256) upstream package : 07e70208955b711952601162c33a9a300a4420893e8741b9eec16c239e1ea2f8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1412605 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED.

Comment 6 Alfredo Moralejo 2017-01-12 14:46:10 UTC
Requested new package in pkgdb https://admin.fedoraproject.org/pkgdb/package/requests/9651

Comment 7 Gwyn Ciesla 2017-01-12 14:48:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-tinyrpc

Comment 8 Alfredo Moralejo 2017-02-03 14:38:44 UTC
python-tinyrpc-0.5-2.fc26 has been published in fedora rawhide repo.


Note You need to log in before you can comment on or make changes to this bug.